## nvidia-settings-legacy-304xx 304.134

=== doc/Makefile ===
#
# nvidia-settings: A tool for configuring the NVIDIA X driver on Unix
# and Linux systems.
#
# Copyright (C) 2008-2012 NVIDIA Corporation.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses>.
#


##############################################################################
# include common variables and functions
##############################################################################

UTILS_MK_DIR ?= ..

include $(UTILS_MK_DIR)/utils.mk


##############################################################################
# The common-utils directory may be in one of two places: either
# elsewhere in the driver source tree when building nvidia-settings as
# part of the NVIDIA driver build (in which case, COMMON_UTILS_DIR
# should be defined by the calling makefile), or directly in the
# source directory when building from the nvidia-settings source
# tarball (in which case, the below conditional assignments should be
# used)
##############################################################################

COMMON_UTILS_DIR      ?= ../src/common-utils


##############################################################################
# assign variables
##############################################################################

MANPAGE_GZIP ?= 1

MANPAGE_gzipped         = $(OUTPUTDIR)/nvidia-settings.1.gz
MANPAGE_not_gzipped 	= $(OUTPUTDIR)/nvidia-settings.1
ifeq ($(MANPAGE_GZIP),1)
  MANPAGE               = $(MANPAGE_gzipped)
else
  MANPAGE               = $(MANPAGE_not_gzipped)
endif
GEN_MANPAGE_OPTS        = $(OUTPUTDIR)/gen-manpage-opts
OPTIONS_1_INC           = $(OUTPUTDIR)/options.1.inc

common_cflags += -I $(COMMON_UTILS_DIR)
common_cflags += -I ../src/libXNVCtrlAttributes

CFLAGS += $(common_cflags)
HOST_CFLAGS += $(common_cflags)

##############################################################################
# build rules
##############################################################################

.PNONY: all install MANPAGE_install clean clobber

all: $(MANPAGE)

install: MANPAGE_install

MANPAGE_install: $(MANPAGE)
	$(MKDIR) $(MANDIR)
	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(MANDIR)/$(notdir $<)

clean clobber:
	rm -rf $(MANPAGE) *~ $(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d \
		$(GEN_MANPAGE_OPTS) $(OPTIONS_1_INC)


##############################################################################
# Documentation
##############################################################################

AUTO_TEXT = ".\\\" WARNING: THIS FILE IS AUTO-GENERATED!  Edit $< instead."

doc: $(MANPAGE)

GEN_MANPAGE_OPTS_SRC  = ../src/gen-manpage-opts.c
GEN_MANPAGE_OPTS_SRC += $(COMMON_UTILS_DIR)/gen-manpage-opts-helper.c

GEN_MANPAGE_OPTS_OBJS = $(call BUILD_OBJECT_LIST,$(GEN_MANPAGE_OPTS_SRC))

$(foreach src, $(GEN_MANPAGE_OPTS_SRC), \
    $(eval $(call DEFINE_OBJECT_RULE,HOST,$(src))))

$(GEN_MANPAGE_OPTS): $(GEN_MANPAGE_OPTS_OBJS)
	$(call quiet_cmd,HOST_LINK) \
	    $(HOST_CFLAGS) $(HOST_LDFLAGS) $(HOST_BIN_LDFLAGS) $^ -o $@

$(OPTIONS_1_INC): $(GEN_MANPAGE_OPTS)
	@./$< > $@

$(MANPAGE_not_gzipped): nvidia-settings.1.m4 $(OPTIONS_1_INC) $(VERSION_MK)
	$(call quiet_cmd,M4) \
	  -D__HEADER__=$(AUTO_TEXT) \
	  -D__BUILD_OS__=$(TARGET_OS) \
	  -D__VERSION__=$(NVIDIA_VERSION) \
	  -D__DATE__="`$(DATE) +%F`" \
	  -I $(OUTPUTDIR) \
	  $< > $@

$(MANPAGE_gzipped): $(MANPAGE_not_gzipped)
	$(GZIP_CMD) -9f < $< > $@

## nvidia-settings-legacy-304xx 304.116

=== debian/changelog ===
nvidia-settings-legacy-304xx (304.116-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 08 Dec 2013 03:34:59 +0100

nvidia-settings-legacy-304xx (304.116-1) unstable; urgency=low

  * New upstream release 304.116.
  * Synchronize packaging with nvidia-settings 310.51-1:
    - Add Build-Conflicts: libxnvctrl-dev, to avoid building against the
      shared library.
  * Synchronize packaging with nvidia-settings 319.60-1:
    - Add lintian overrides for missing upstream changelog.
  * Synchronize packaging with nvidia-settings 319.72-1:
    - Bump Standards-Version to 3.9.5. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 09 Nov 2013 15:55:48 +0100

nvidia-settings-legacy-304xx (304.108-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 17 Oct 2013 02:56:11 +0200

nvidia-settings-legacy-304xx (304.108-2) unstable; urgency=low

  * Synchronize packaging with nvidia-settings 304.108-2:
    - Fix nvidia-legacy-304xx-alternative substitution.  (Closes: #722492)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Sep 2013 19:36:32 +0200

nvidia-settings-legacy-304xx (304.108-1) unstable; urgency=low

  * Initial release of nvidia-settings for use with the legacy 304xx driver.
  * Build only a single binary package, no -dev package or shared library.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 18 Aug 2013 21:50:13 +0200

nvidia-settings (304.108-2) unstable; urgency=low

  * More generic "nvidia-alternative" substitution.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Sep 2013 19:43:45 +0200

nvidia-settings (304.108-1) unstable; urgency=low

  * New upstream release 304.108.
    - Fixed a bug in nvidia-settings that could cause the wrong
      resolution to be set in basic mode for setups based on one
      display per X screen.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 18 Aug 2013 20:32:16 +0200

nvidia-settings (304.88-2) unstable; urgency=low

  * 13_clean.diff: New. Recurse into libXNVCtrl during clean.
  * Fix building twice in a row.
  * 14_install_docs.diff: New. Fix permissions of installed manpage.
  * Use canonical Vcs-* URLs. 
  * Bump Standards-Version to 3.9.4. No changes needed.
  * Renumber patches to avoid numbering conflicts with -legacy-*.
  * Add support for "legacy" substitution like in nvidia-graphics-drivers.
  * Add support for renaming control files for legacy use.
  * Add support for generating legacy-aware watch files.
  * Make nvidia-settings and nvidia-settings-legacy-* co-installable.
    - Install everything to /usr/lib/nvidia/current.
    - nvidia-alternative manages the alternative symlinks.
    (Closes: #688749)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 13 May 2013 00:36:04 +0200

nvidia-settings (304.88-1) unstable; urgency=low

  * New upstream release 304.88.
  * Update menu title. Thanks Gaudenz Steinlin.  (Closes: #688746)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 03 Apr 2013 10:55:54 +0200

nvidia-settings (304.84-1) unstable; urgency=low

  * New upstream release 304.84.
  * Update my email address and drop DMUA.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 10 Mar 2013 16:00:54 +0100

nvidia-settings (304.64-1) unstable; urgency=low

  * New upstream release 304.64.
    - Fixed a bug that sometimes prevented the display device / X screen
      selection menu from being displayed in nvidia-settings.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 07 Nov 2012 11:02:15 +0100

nvidia-settings (304.60-1) unstable; urgency=low

  * New upstream release 304.60.
    - Updated nvidia-settings to save and restore per-monitor color correction
      settings when RandR 1.2 or later is available.
    - Fixed a bug that caused too many display devices to appear in the X Screen
      page of nvidia-settings when SLI is enabled.
    - Fixed a bug in nvidia-settings that made it report the status of ECC
      configuration incorrectly.
    - Updated nvidia-settings to report Dedicated GPU Memory (i.e., the
      memory dedicated exclusively to the GPU) and Total GPU Memory (i.e.,
      Dedicated GPU Memory plus any TurboCache(TM)-accessible system memory)
      separately on the GPU information page.
    - Added reporting of the current utilization of Dedicated GPU Memory to
      the GPU information page of nvidia-settings.
  * New upstream release 304.51.
    - Fixed a bug that sometimes caused the display layout area of the
      nvidia-settings control panel to be laid out incorrectly.

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 26 Oct 2012 10:09:56 +0200

nvidia-settings (304.48-1) unstable; urgency=low

  * New upstream release.
    - Fixed a bug that prevented the "Reset Hardware Defaults" button in
      the Display Settings page of nvidia-settings from being activated.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 12 Sep 2012 12:56:39 +0200

nvidia-settings (304.43-1) unstable; urgency=low

  * New upstream release.
    - Fixed a bug that caused gnome-settings-daemon to revert display
      configuration changes made by nvidia-settings.
    - Updated nvidia-settings to use RandR per-CRTC gamma control, when
      available.  When controlling an X server with support for RandR 1.2,
      nvidia-settings will display the color correction widget as a tab
      within each display device page, instead of a per-X screen color
      correction page.
    - Added the ability to select and move X screens in the "X Server Display
      Configuration" page of nvidia-settings via Ctrl-(Left)Click + Drag

 -- Andreas Beckmann <debian@abeckmann.de>  Mon, 10 Sep 2012 02:57:11 +0200

nvidia-settings (304.37-1) unstable; urgency=low

  * New upstream release.
  * Add Breaks: xserver-xorg-video-nvidia (<< 302).  (Closes: #681182) 
  * Add Conflicts: xserver-xorg-video-nvidia-legacy-173xx.  (Closes: #685049)
  * Note: Use nvidia-settings-legacy-173xx for the legacy driver.



=== debian/control ===
Source: nvidia-settings-legacy-304xx
Section: contrib/x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Fathi Boudra <fabo@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
 Russ Allbery <rra@debian.org>,
Build-Depends:
 debhelper (>= 9),
 m4,
 libgl1-mesa-dev | libgl-dev,
 libgtk2.0-dev,
 libxext-dev,
 libxv-dev,
 libxxf86vm-dev,
 pkg-config,
Build-Conflicts:
 libxnvctrl-dev,
Standards-Version: 3.9.5
Homepage: ftp://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvidia-settings-legacy-304xx/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-settings-legacy-304xx/

Package: nvidia-settings-legacy-304xx
Architecture: i386 amd64
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 pkg-config,
 ${nvidia-alternative},
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 libgl1-nvidia${nvidia:Legacy}-glx,
Breaks:
 nvidia-alternative (<< 313.30-2),
 nvidia-alternative-legacy-173xx (<< 173.14.37),
 nvidia-alternative-legacy-96xx (<< 96.43.23-4),
Description: tool for configuring the NVIDIA graphics driver${nvidia:LegacyDesc}
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.

## nvidia-settings-legacy-304xx 304.123

=== debian/changelog ===
nvidia-settings-legacy-304xx (304.123-2) unstable; urgency=medium

  * Synchronize packaging with nvidia-settings 319.82-1:
    - Add lintian override for gpg signature not provided by upstream.
  * Synchronize packaging with nvidia-settings 340.46-1:
    - Bump Standards-Version to 3.9.6. No changes needed.
  * Synchronize packaging with nvidia-settings 340.46-2:
    - d/copyright: Fix patterns.
    - 16_gzip-n.diff: New. Use gzip -n to not embed timestamps.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 18 Oct 2014 00:31:52 +0200

nvidia-settings-legacy-304xx (304.123-1) unstable; urgency=medium

  * New upstream release 304.123.
  * Add myself to Uploaders.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 19 Jul 2014 18:58:21 -0700

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  Fathi Boudra <fabo@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
  Russ Allbery <rra@debian.org>,
+ Vincent Cheng <vcheng@debian.org>
 Build-Depends:
  debhelper (>= 9),
  m4,
@@ -17,7 +18,7 @@
  pkg-config,
 Build-Conflicts:
  libxnvctrl-dev,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: ftp://download.nvidia.com/XFree86/nvidia-settings/
 Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvidia-settings-legacy-304xx/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-settings-legacy-304xx/

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export NV_VERBOSE=1

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEBUG = 1
endif

export PREFIX = /usr

include debian/rules.defs
NVIDIA_LEGACY		?=
NVIDIA_ALTERNATIVE	?= nvidia$(legacy)-alternative
legacy			 = $(if $(NVIDIA_LEGACY),-legacy-$(NVIDIA_LEGACY)xx)
legacy_description	 = $(if $(NVIDIA_LEGACY), ($(NVIDIA_LEGACY)xx legacy version))
nvidia_private		 = nvidia$(if $(legacy),/$(patsubst -%,%,$(legacy)),/current)
watch_version		?= $(NVIDIA_LEGACY)

ALL_CONTROL	:= $(wildcard debian/nvidia-settings.*)
LEGACY_CONTROL	:= $(wildcard debian/nvidia-settings$(legacy).*)
RENAME_CONTROL	 = $(filter-out $(LEGACY_CONTROL),$(ALL_CONTROL))
RENAMED_CONTROL	 = $(patsubst debian/nvidia-settings.%,debian/nvidia-settings$(legacy).%,$(RENAME_CONTROL))
TEMPLATES	:= $(wildcard debian/*.in)
AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
AUTOGEN		+= $(patsubst %.in,%,$(RENAMED_CONTROL))
AUTOKEEP	 = debian/watch
AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))


%:
	dh $@

override_dh_auto_build: $(AUTOGEN)
	$(RM) src/libXNVCtrl/libXNVCtrl.a
	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build -O--parallel
	$(MAKE) -C samples

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	install -m 0755 $(wildcard samples/_out/*/nv-control-dpy samples/nv-control-dpy) debian/tmp/usr/bin/
	install -m 0644 $(or $(wildcard doc/nvidia-settings.png),debian/nvidia-settings.png) debian/tmp/nvidia-settings$(legacy).png

override_dh_auto_clean:
	dh_auto_clean
	$(RM) src/libXNVCtrl/libXNVCtrl.a
	[ ! -f src/XF86Config-parser/Makefile ] || $(MAKE) -C src/XF86Config-parser clean
	[ ! -f samples/Makefile ] || $(MAKE) -C samples clean
	$(RM) -r _out */_out
	$(RM) $(AUTOCLEAN)
	$(MAKE) -f debian/rules $(AUTOKEEP)

override_dh_compress:
	dh_compress --exclude=.c --exclude=.mk

override_dh_gencontrol:
	dh_gencontrol -- -V'nvidia:Legacy=$(legacy)' \
		-V'nvidia:LegacyDesc=$(legacy_description)' \
		-V'nvidia-alternative=$(NVIDIA_ALTERNATIVE)'


# Generating control files
debian/%:: debian/%.in debian/rules debian/rules.defs
	perl -p \
		-e 's{#LEGACY#}{$(legacy)}g;' \
		-e 's{#LEGACY_DESC#}{$(legacy_description)}g;' \
		-e 's{#PRIVATE#}{$(nvidia_private)}g;' \
		-e 's{#WATCH_VERSION#}{$(watch_version)}g;' \
		< $< > $@

# Renaming control files for legacy packaging
ifneq (,$(legacy))
nvidia-settings$(legacy).%: nvidia-settings.%
	cp -a $< $@
endif

## nvidia-settings-legacy-304xx 304.132

=== debian/changelog ===
nvidia-settings-legacy-304xx (304.132-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 11 Nov 2016 17:42:25 +0100

nvidia-settings-legacy-304xx (304.132-1) unstable; urgency=medium

  * New upstream release 304.132.
  * Synchronize packaging with nvidia-settings 340.98-1:
    - Convert packaging repository from SVN to GIT.
    - Bump Standards-Version to 3.9.8. No changes needed.
    - Enable more hardening.
  * typos.diff: New, fix some typos found by lintian.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 06 Nov 2016 00:11:49 +0100

nvidia-settings-legacy-304xx (304.128-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 04 Nov 2015 18:34:06 +0100

nvidia-settings-legacy-304xx (304.128-1) unstable; urgency=medium

  * New upstream release 304.128.
  * Synchronize packaging with nvidia-settings 340.93-1:
    - d/rules: Make the build reproducible by using deterministic timestamp,
      user and hostname strings to be included in the binary. Based on patch
      by Jérémy Bobbio.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Oct 2015 17:49:40 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
  Fathi Boudra <fabo@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
  Russ Allbery <rra@debian.org>,
- Vincent Cheng <vcheng@debian.org>
+ Vincent Cheng <vcheng@debian.org>,
+ Luca Boccassi <luca.boccassi@gmail.com>,
 Build-Depends:
  debhelper (>= 9),
  m4,
@@ -16,12 +17,13 @@
  libxv-dev,
  libxxf86vm-dev,
  pkg-config,
+ dh-exec (>= 0.3),
 Build-Conflicts:
  libxnvctrl-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: ftp://download.nvidia.com/XFree86/nvidia-settings/
-Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvidia-settings-legacy-304xx/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-settings-legacy-304xx/
+Vcs-Git: https://anonscm.debian.org/git/pkg-nvidia/nvidia-settings.git -b 304xx/jessie-backports
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nvidia/nvidia-settings.git
 
 Package: nvidia-settings-legacy-304xx
 Architecture: i386 amd64

=== debian/watch ===
version=3
ftp://download.nvidia.com/XFree86/nvidia-settings/nvidia-settings-(304.*).tar.(?:gz|bz2)

## nvidia-settings-legacy-304xx 304.134

=== debian/changelog ===
nvidia-settings-legacy-304xx (304.134-1) unstable; urgency=medium

  * New upstream release 304.134.
  * Switch to debhelper compat level 10, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Jan 2017 05:41:10 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  Vincent Cheng <vcheng@debian.org>,
  Luca Boccassi <luca.boccassi@gmail.com>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  m4,
  libgl1-mesa-dev | libgl-dev,
  libgtk2.0-dev,
@@ -22,7 +22,7 @@
  libxnvctrl-dev,
 Standards-Version: 3.9.8
 Homepage: ftp://download.nvidia.com/XFree86/nvidia-settings/
-Vcs-Git: https://anonscm.debian.org/git/pkg-nvidia/nvidia-settings.git -b 304xx/jessie-backports
+Vcs-Git: https://anonscm.debian.org/git/pkg-nvidia/nvidia-settings.git -b 304xx/master
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nvidia/nvidia-settings.git
 
 Package: nvidia-settings-legacy-304xx

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,27 @@
 #export DH_VERBOSE=1
 export NV_VERBOSE=1
 
+# see FEATURE AREAS in dpkg-buildflags(1)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+include /usr/share/dpkg/buildflags.mk
+
+# Redefine DATE to something stable to make the build reproducible
+BUILDDATE		:= $(shell dpkg-parsechangelog -S Date)
+export DATE		 = date -d "$(BUILDDATE)"
+# Cheat for user and hostname
+export WHOAMI		 = echo buildd
+export HOSTNAME_CMD	 = echo debian
+
+export PREFIX		 = /usr
+export DO_STRIP		 =
+export STRIP_CMD	 = true
+export CC_ONLY_CFLAGS	 = $(CPPFLAGS)
+
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-export DEBUG = 1
+export DEBUG		 = 1
 endif
 
-export PREFIX = /usr
 
 include debian/rules.defs
 NVIDIA_LEGACY		?=

## nvidia-settings-legacy-304xx 304.137

=== debian/changelog ===
nvidia-settings-legacy-304xx (304.137-2) unstable; urgency=medium

  * Synchronize packaging with nvidia-settings 340.106-1/390.25-1.
  * Bump Standards-Version to 4.1.3. No changes needed.
  * Add debian/upstream/metadata.
  * Fix new Lintian issues.
  * Switch Vcs-* URLs to salsa.debian.org.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 11 Mar 2018 08:12:00 +0100

nvidia-settings-legacy-304xx (304.137-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release 304.137.
  * typos.diff: Fix more typos found by lintian.
  * Synchronize packaging with nvidia-settings 340.104-1/375.82-2.
  * 10_libxnvctrl_so_0.diff: Remove, not used for the legacy branches.
  * Resolve xorg libdir at build time.
  * Use GPL notice without FSF street address.
  * Bump Standards-Version to 4.1.1. No changes needed.
  * Use Luca's @debian.org address.
  * Remove Fathi Boudra from Uploaders.  (Closes: #879414)
  * Set Rules-Requires-Root: no.
  * Use dh_missing --list-missing.
  * Use debian/substvars for substitutions by dpkg-genchanges (dpkg 1.19).
  * Remove support for versions predating 304.xx.
  * Remove Breaks/Replaces against packages older than jessie.

  [ Luca Boccassi ]
  * Add patches to make the build reproducible:
    SOURCE_DATE_EPOCH-for-manpage.patch, SOURCE_DATE_EPOCH-for-STAMP_C.patch
    and dummy-hostname-user-for-STAMP_C.patch
  * Remove workarounds in d/rules for date/user, it is fixed in the
    upstream makefiles.
  * Set build directory to _out/debian to make the build reproducible,
    instead of the upstream default of _out/($uname)_($uname -m).
  * Use https for all URLs.
  * Remove Debian menu system entry, deprecated in favour of Free Desktop
    entry.

  [ Russ Allbery ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 21 Nov 2017 13:13:56 +0100

=== debian/control ===
Source: nvidia-settings-legacy-304xx
Section: contrib/x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 Luca Boccassi <bluca@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-exec (>= 0.3),
 m4,
 libgl1-mesa-dev | libgl-dev,
 libgtk2.0-dev,
 libxext-dev,
 libxv-dev,
 libxxf86vm-dev,
 pkg-config,
 xserver-xorg-dev,
Build-Conflicts:
 libxnvctrl-dev,
Rules-Requires-Root: no
Standards-Version: 4.1.3
Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git -b 304xx/master

Package: nvidia-settings-legacy-304xx
Architecture: i386 amd64
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 ${nvidia-alternative},
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 libgl1-nvidia${nvidia:Legacy}-glx,
Description: tool for configuring the NVIDIA graphics driver${nvidia:LegacyDesc}
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.

=== debian/rules ===
--- 
+++ 
@@ -8,17 +8,14 @@
 
 include /usr/share/dpkg/buildflags.mk
 
-# Redefine DATE to something stable to make the build reproducible
-BUILDDATE		:= $(shell dpkg-parsechangelog -S Date)
-export DATE		 = date -d "$(BUILDDATE)"
-# Cheat for user and hostname
-export WHOAMI		 = echo buildd
-export HOSTNAME_CMD	 = echo debian
+PKG_CONFIG_XORG_XSERVER_LIBDIR	 = $(shell pkg-config --variable=libdir xorg-server)
+CPPFLAGS		+= -DPKG_CONFIG_XORG_XSERVER_LIBDIR='\"$(PKG_CONFIG_XORG_XSERVER_LIBDIR)\"'
 
 export PREFIX		 = /usr
 export DO_STRIP		 =
-export STRIP_CMD	 = true
 export CC_ONLY_CFLAGS	 = $(CPPFLAGS)
+# reproducible builds: instead of _out/$(uname)_($uname -m) use a fixed directory
+export OUTPUTDIR         = _out/debian
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 export DEBUG		 = 1
@@ -40,6 +37,7 @@
 TEMPLATES	:= $(wildcard debian/*.in)
 AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
 AUTOGEN		+= $(patsubst %.in,%,$(RENAMED_CONTROL))
+AUTOGEN		+= debian/substvars
 AUTOKEEP	 = debian/watch
 AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))
 
@@ -54,15 +52,18 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
-	install -m 0755 $(wildcard samples/_out/*/nv-control-dpy samples/nv-control-dpy) debian/tmp/usr/bin/
-	install -m 0644 $(or $(wildcard doc/nvidia-settings.png),debian/nvidia-settings.png) debian/tmp/nvidia-settings$(legacy).png
+	install -m 0755 samples/$(OUTPUTDIR)/nv-control-dpy debian/tmp/usr/bin/
+	install -m 0644 doc/nvidia-settings.png debian/tmp/nvidia-settings$(legacy).png
+
+override_dh_missing:
+	dh_missing --list-missing
 
 override_dh_auto_clean:
 	dh_auto_clean
 	$(RM) src/libXNVCtrl/libXNVCtrl.a
-	[ ! -f src/XF86Config-parser/Makefile ] || $(MAKE) -C src/XF86Config-parser clean
-	[ ! -f samples/Makefile ] || $(MAKE) -C samples clean
-	$(RM) -r _out */_out
+	$(RM) src/libXNVCtrl/libXNVCtrl.so*
+	$(MAKE) -C samples clean
+	$(RM) -r doc/_out samples/_out src/_out src/libXNVCtrl/_out
 	$(RM) $(AUTOCLEAN)
 	$(MAKE) -f debian/rules $(AUTOKEEP)
 
@@ -73,6 +74,10 @@
 	dh_gencontrol -- -V'nvidia:Legacy=$(legacy)' \
 		-V'nvidia:LegacyDesc=$(legacy_description)' \
 		-V'nvidia-alternative=$(NVIDIA_ALTERNATIVE)'
+
+# used by dpkg-genchanges
+debian/substvars:
+	echo 'nvidia:LegacyDesc=$(legacy_description)' > $@
 
 
 # Generating control files

=== debian/watch ===
version=3
https://download.nvidia.com/XFree86/nvidia-settings/nvidia-settings-(304.*).tar.(?:gz|bz2)
